#include <cstdio>
#include <cstring>
#include <algorithm>

using namespace std;

int n, m;
char s[10010];
int uns[101][10010];
int nuns[101];

int main() {

    while(scanf("%d %d",&n,&m) and (n or m)) {
        bool ok=true;
        for (int i=0;i<n;i++) {
            scanf("%s",s);
            nuns[i]=0;
            for (int j=0;j<m;j++)
                if (s[j]=='1') uns[i][nuns[i]++] = j;

            if (nuns[i]==0) ok=false;
            else {
                uns[i][nuns[i]++] = 0-m+uns[i][nuns[i]-1];
                uns[i][nuns[i]++] = m+uns[i][0];
                sort(uns[i],uns[i]+nuns[i]);
            }
        }
        if (!ok) {
            printf("-1\n");
            continue;
        }
        int resp = 0x3f3f3f3f;
        for (int j=0;j<m;j++) {
            int soma = 0;
            for (int i=0;i<n;i++) {
                int t = lower_bound(uns[i],uns[i]+nuns[i],j)-uns[i];
                soma += min( abs(uns[i][t]-j), abs(uns[i][t-1]-j) );
            }
            if (soma < resp) resp = soma;
        }
        printf("%d\n",resp);

    }

    return 0;
}
